Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157664 - rfe: rhn api: add system.list_affected_user_systems
Summary: rfe: rhn api: add system.list_affected_user_systems
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-13 15:46 UTC by nathan r. hruby
Modified: 2008-04-02 20:59 UTC (History)
0 users

Fixed In Version: sat510
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-02 20:59:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description nathan r. hruby 2005-05-13 15:46:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
Hi,

Please consider adding a "system.list_affected_user_systems" method to the RHN API to return the list of all errata needed for a system (eg: return an array of sid's and "advisory strings" suitable for use with errata.get_details).  This would help greatly in figuring out what patches need applying to what box. 

Presently, if one wanted to generate a report of what boxes need which patches one would need to (roughly) do the following:
  - pull all errata with channel.software.list_errata (for each channel 
    you care about) 

  - pull the list of what really needs applying though 
    errata.list_affected_systems for each errata in each channel

  - pull the system info for reporting from system.list_user_systems.

  - Loop through channel.software.list_errata looking for matches with 
    errata.list_affected_systems

  - Loop though system.list_user_systems comapring that to the merge of
    the above loop

That seems to have a lot of overhead for any base channel with a lot of errata.

It's clear that there are already methods within the RHN/Satellite to present such information quickly, as it is presented on the Web Site under the erratta tab for any system, so this should (hopefully :) be as simple as exposing the current function(s) that do(es) this to the API handler.

Thanks!

-n

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
N/A THis is an RFE  

Additional info:

Comment 1 Max Spevack 2005-08-29 18:42:55 UTC
mass assign QA contact for rhn410 bugs

Comment 2 Jesus M. Rodriguez 2008-01-14 18:53:07 UTC
system.get_relevant_errata(sessionkey, serverid) returns the relevant errata
that apply to the given system.

You can now get a list of server from system.list_user_systems() then call
system.get_relevant_errata() with each of the server ids.

Moving this to be tracked on satellite 5.1.

Comment 5 Brandon Perkins 2008-04-02 20:59:23 UTC
API call Enhancements for 5.1 Sat GA so Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.